## lam 6.1

=== Makefile ===
##
##	Ohio Trollius
##	Copyright 1996 The Ohio State University
##
##	Function:	- grand-daddy Trollius make
##

##
## global configuration
##
include Config/config

SUBDIR	= share/h lib/otb-$(OARCH) tools-$(OARCH) \
	  otb-$(OARCH) schema man

easy: clean depend install

all: dirs
	@for i in $(SUBDIR); do \
		(cd $$i; echo $$i: ; PATH=$${PATH}:$(OBDIR) $(MAKE) all); \
	done
	@echo "Installation of LAM is complete."

depend: dirs
	@for i in $(SUBDIR); do \
		(cd $$i; echo $$i: ; $(MAKE) depend); \
	done

clean:
	@for i in $(SUBDIR); do \
		(cd $$i; echo $$i: ; $(MAKE) clean); \
	done

install: dirs
	@for i in $(SUBDIR); do \
		(cd $$i; echo $$i: ; PATH=$${PATH}:$(OBDIR) $(MAKE) install); \
	done

profile: dirs
	cd lib/otb-$(OARCH)/pmpi; $(MAKE) depend; $(MAKE) install

dirs:	$(HOME)

$(HOME):
	mkdir -p $@
