=== man/Makefile ===
##
##	Ohio Trollius
##	Copyright 1996 The Ohio State University
##
##	Function:	- man pages
##

DEPTH   = ..

##
## global configuration
##
include $(DEPTH)/Config/config

all:

clean:

depend:

install: $(HOME)/man

$(HOME)/man:
	mkdir -p $(HOME)/man

	@echo copying man pages...
	@cp windex $(HOME)/man;
	@for i in man[1-9]; do \
		cp -r $$i $(HOME)/man; \
		chmod 444 $(HOME)/man/$$i/*; \
	done
