=== otb/Makefile ===
##
##	Ohio Trollius
##	Copyright 1995 The Ohio State University
##
##	Function:	- OTB programs
##

DEPTH	= ..

##
## global configuration
##
include $(DEPTH)/Config/config

##
## local configuration
##
SUBDIR	= bfctl bfstate doom fctl fstate lamclean lamgrow \
	  lamshrink lamtrace loadgo mpimsg mpirun mpitask state sys tping


all:
	@for i in $(SUBDIR); do (cd $$i; echo "	"$$i: ; $(MAKE) all); \
	done

depend:
	@for i in $(SUBDIR); do (cd $$i; echo "	"$$i: ; $(MAKE) depend); \
	done

clean:
	@for i in $(SUBDIR); do (cd $$i; echo "	"$$i: ; $(MAKE) clean); \
	done

install: dirs
	@for i in $(SUBDIR); do (cd $$i; echo "	"$$i: ; $(MAKE) install); \
	done

dirs: $(OBDIR)

$(OBDIR):
	mkdir -p $(OBDIR)
