=== schema/Makefile ===
##
##	Ohio Trollius
##	Copyright 1994 The Ohio State University
##
##	Function:	- process and boot schemata
##			- LAM version
##

DEPTH   = ..

##
## global configuration
##
include $(DEPTH)/Config/config

##
## local configuration
##

##
## modules and libraries
##

all:

clean:

install: dirs conf bhost

conf:
	@for i in conf.*; do \
		echo $(INSTALL) $$i $(TDIR)/$$i; \
		$(INSTALL) $$i $(TDIR)/$$i; \
	done

bhost:
	@for i in bhost.*; do \
		echo $(INSTALL) $$i $(TDIR)/$$i; \
		$(INSTALL) $$i $(TDIR)/$$i; \
	done

dirs: $(TDIR)
	
$(TDIR):
	mkdir -p $(TDIR)

##
## depend:
##
depend:
