=== tools/Makefile ===
##
##	Ohio Trollius
##	Copyright 1996 The Ohio State University
##
##	Function:	- OTB node utilities
##

DEPTH	= ..

##
## global configuration
##
include $(DEPTH)/Config/config

##
## local configuration
##
SUBDIR	= hboot hcc hf77 lamboot recon tkill wipe

all:
	@for i in $(SUBDIR); do (cd $$i; echo "	"$$i: ; $(MAKE) all); \
	done

depend:
	@for i in $(SUBDIR); do (cd $$i; echo "	"$$i: ; $(MAKE) depend); \
	done

clean:
	@for i in $(SUBDIR); do (cd $$i; echo "	"$$i: ; $(MAKE) clean); \
	done

install: dirs
	@for i in $(SUBDIR); do (cd $$i; echo "	"$$i: ; $(MAKE) install); \
	done

dirs: $(OBDIR)

$(OBDIR):
	mkdir -p $(OBDIR)
