=== examples/fault/Makefile ===
##
##	Ohio LAM
##
##	Function:	- Mandelbozo demo
##			- uses MPI
##

##
## hcc: LAM cc wrapper
##
CC	= hcc -O

all: master slave

slave: slave.o
	$(CC) -o slave slave.o -lmpi

master: master.o
	$(CC) -o master master.o -lmpi

clean:
	/bin/rm -f master slave master.o slave.o
