=== examples/wave1d/Makefile ===
##
##	Ohio LAM
##
##	Function:	- 1D wave demo
##			- uses MPI library
##			- LAMHOME is the LAM installation directory.
##			- see hf77(1)
##

##
## hcc: OTB compilation
##
FC	= hf77
FFLAGS	= -I$$LAMHOME/h

wave: wave.o
	$(FC) -o wave wave.o -lmpi

wave.o: wave.F
	/bin/rm -f wave.f
	/lib/cpp -P $(FFLAGS) wave.F > wave.f
	$(FC) -c wave.f
	/bin/rm -f wave.f

clean:
	/bin/rm -f wave wave.o
