=== lib/otb/Makefile ===
##
##	Ohio Trollius
##	Copyright 1995 The Ohio State University
##
##	Function:	- OTB libraries
##

DEPTH	= ../..

##
## global configuration
##
include $(DEPTH)/Config/config

##
## local configuration
##
SUBDIR	= args mpi t trillium tstdio


all:
	@for i in $(SUBDIR); do (cd $$i; echo "	"$$i: ; $(MAKE) all); \
	done

depend:
	@for i in $(SUBDIR); do (cd $$i; echo "	"$$i: ; $(MAKE) depend); \
	done

clean:
	@for i in $(SUBDIR); do (cd $$i; echo "	"$$i: ; $(MAKE) clean); \
	done

install: dirs
	@for i in $(SUBDIR); do (cd $$i; echo "	"$$i: ; $(MAKE) install); \
	done

dirs: $(OLDIR)

$(OLDIR):
	mkdir -p $(OLDIR)
