=== otb/bfctl/Makefile ===
##
##	Ohio Trollius
##	Copyright 1995 The Ohio State University
##
##	Function:	- bfctl
##			- buffer control commands
##

DEPTH   = ../..

##
## global configuration
##
include $(DEPTH)/Config/config

##
## local configuration
##
VPATH	= ../../otb/bfctl
INCLUDE	= -I$(IDIR)
DEFS	=
LCFLAGS = $(INCLUDE) $(DEFS)
LDFLAGS =

##
## modules and libraries
##
LIB	= -L$(OLDIR) -largs -ltrillium -lt $(SYSLIBS)
BBIN	= bfctl
SBIN	= sweep
SRC	= bfctl.c
OBJ	= bfctl.o


all: $(BBIN)

$(BBIN): $(OBJ) $(OLDIR)/libargs.a $(OLDIR)/libtrillium.a $(OLDIR)/libt.a
	$(CC) $(LDFLAGS) -o $(BBIN) $(OBJ) $(LIB)

install: $(OBDIR)/$(BBIN) $(OBDIR)/$(SBIN)

$(OBDIR)/$(BBIN): $(BBIN)
	$(INSTALL) $(BBIN) $(OBDIR)/$(BBIN)

$(OBDIR)/$(SBIN): ../../otb/bfctl/$(SBIN)
	$(RM) $(OBDIR)/$(SBIN)
	$(INSTALL) ../../otb/bfctl/$(SBIN) $(OBDIR)/$(SBIN)

clean:
	$(RM) $(OBJ) $(BBIN)

##
## depend:
##
include	$(DEPTH)/Config/depend

##
## automatic dependencies and rules
##
include Depends
