=== otb/doom/Makefile ===
##
##	Ohio Trollius
##	Copyright 1995 The Ohio State University
##
##	Function:	- doom
##			- signal delivery command
##

DEPTH   = ../..

##
## global configuration
##
include $(DEPTH)/Config/config

##
## local configuration
##
VPATH	= ../../otb/doom
INCLUDE	= -I$(IDIR)
DEFS	=
LCFLAGS = $(INCLUDE) $(DEFS)
LDFLAGS =

##
## modules and libraries
##
LIB	= -L$(OLDIR) -largs -ltrillium -lt $(SYSLIBS)
BIN	= doom
SRC	= doom.c
OBJ	= doom.o


all: $(BIN)

$(BIN): $(OBJ) $(OLDIR)/libargs.a $(OLDIR)/libtrillium.a $(OLDIR)/libt.a
	$(CC) $(LDFLAGS) -o $(BIN) $(OBJ) $(LIB)

install: $(OBDIR)/$(BIN)

$(OBDIR)/$(BIN): $(BIN)
	$(INSTALL) $(BIN) $(OBDIR)/$(BIN)

clean:
	$(RM) $(OBJ) $(BIN)

##
## depend:
##
include	$(DEPTH)/Config/depend

##
## automatic dependencies and rules
##
include Depends
