=== schema/Makefile ===
# Copyright 1998-1999, University of Notre Dame.
# Authors: Jeffrey M. Squyres, Kinis L. Meyer, with M. D. McNally 
#          and Andrew Lumsdaine
#
# This file is part of the Notre Dame LAM implementation of MPI.
#
# You should have received a copy of the License Agreement for the
# Notre Dame LAM implementation of MPI along with the software; see
# the file LICENSE.  If not, contact Office of Research, University of
# Notre Dame, Notre Dame, IN 46556.
#
# Permission to modify the code and to distribute modified code is
# granted, provided the text of this NOTICE is retained, a notice that
# the code was modified is included with the above COPYRIGHT NOTICE and
# with the COPYRIGHT NOTICE in the LICENSE file, and that the LICENSE
# file is distributed with the modified code.
#
# LICENSOR MAKES NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED.
# By way of example, but not limitation, Licensor MAKES NO
# REPRESENTATIONS OR WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY
# PARTICULAR PURPOSE OR THAT THE USE OF THE LICENSED SOFTWARE COMPONENTS
# OR DOCUMENTATION WILL NOT INFRINGE ANY PATENTS, COPYRIGHTS, TRADEMARKS
# OR OTHER RIGHTS.
#
# Additional copyrights may follow.
#
##
##	Ohio Trollius
##	Copyright 1994 The Ohio State University
##
##	Function:	- process and boot schemata
##			- LAM version
##

DEPTH   = ..

##
## global configuration
##
include $(DEPTH)/config.mk

##
## local configuration
##

##
## modules and libraries
##

all:

clean:

install: dirs files

files: $(TDIR)/bhost.def $(TDIR)/bhost.lam $(TDIR)/conf.lam $(TDIR)/conf.otb 
dirs: $(TDIR)

$(TDIR):
	$(INSTALL) -m $(DIR_PERMS) -d $(TDIR)

##
## depend:
##
depend:

$(TDIR)/bhost.def: bhost.def 
	@echo installing bhost.def
	$(INSTALL) -c -m $(FILE_PERMS) bhost.def $(TDIR)

$(TDIR)/bhost.lam: bhost.lam  
	@echo installing bhost.lam
	$(INSTALL) -c -m $(FILE_PERMS) bhost.lam $(TDIR)

$(TDIR)/conf.lam: conf.lam  
	@echo installing conf.lam
	$(INSTALL) -c -m $(FILE_PERMS) conf.lam $(TDIR)

$(TDIR)/conf.otb: conf.otb  
	@echo installing conf.otb
	$(INSTALL) -c -m $(FILE_PERMS) conf.otb $(TDIR)
