=== tools/Makefile ===
##
# Copyright 1998-1999, University of Notre Dame.
# Authors: Jeffrey M. Squyres, Kinis L. Meyer, with M. D. McNally 
#          and Andrew Lumsdaine
#
# This file is part of the Notre Dame LAM implementation of MPI.
#
# You should have received a copy of the License Agreement for the
# Notre Dame LAM implementation of MPI along with the software; see
# the file LICENSE.  If not, contact Office of Research, University of
# Notre Dame, Notre Dame, IN 46556.
#
# Permission to modify the code and to distribute modified code is
# granted, provided the text of this NOTICE is retained, a notice that
# the code was modified is included with the above COPYRIGHT NOTICE and
# with the COPYRIGHT NOTICE in the LICENSE file, and that the LICENSE
# file is distributed with the modified code.
#
# LICENSOR MAKES NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED.
# By way of example, but not limitation, Licensor MAKES NO
# REPRESENTATIONS OR WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY
# PARTICULAR PURPOSE OR THAT THE USE OF THE LICENSED SOFTWARE COMPONENTS
# OR DOCUMENTATION WILL NOT INFRINGE ANY PATENTS, COPYRIGHTS, TRADEMARKS
# OR OTHER RIGHTS.
#
# Additional copyrights may follow.
#
##
##	Ohio Trollius
##	Copyright 1997 The Ohio State University
##
##	$Id: Makefile,v 6.6 1999/06/12 20:11:53 jsquyres Exp $
##
##	Function:	- OTB node utilities
##

DEPTH	= ..

##
## global configuration
##
include $(DEPTH)/config.mk

##
## local configuration
##
SUBDIR	= hboot hcc hf77 lamboot recon tkill wipe

all: dirs
	@for i in $(SUBDIR); \
		do (cd $$i; echo "	"$$i: ; $(MAKE) all) || exit 1; \
	done

depend: dirs
	@for i in $(SUBDIR); \
		do (cd $$i; echo "	"$$i: ; $(MAKE) depend) || exit 1; \
	done

clean:
	@for i in $(SUBDIR); \
		do (cd $$i; echo "	"$$i: ; $(MAKE) clean) || exit 1; \
	done

install: dirs
	@for i in $(SUBDIR); \
		do (cd $$i; echo "	"$$i: ; $(MAKE) install) || exit 1; \
	done

dirs: $(OBDIR)

$(OBDIR):
	@ mkdir -p $(OBDIR)
