=== examples/mpi2c++/Makefile ===
##
##	$COPYRIGHT$
##
##	Function:	- Simple "ring" program in C++
##			- Stolen from the MPI 2 C++ distribution
##			- Shows how to compile MPI 2 C++ programs with LAM
##

include ../config-defs

all: ring

ring: ring.o
	$(CXX) -o ring ring.o $(LDFLAGS)

clean:
	$(RM) ring ring.o
