=== examples/romio/Makefile ===
##
##	$COPYRIGHT$
##
##	Function:	- Simple ROMIO program in C
##			- Stolen from the ROMIO distribution
##			- Shows how to compile ROMIO programs with LAM
##

include ../config-defs

all: simple

simple: simple.o
	$(CC) -o simple simple.o $(LDFLAGS)

clean:
	$(RM) simple simple.o
