=== lib/otb/Makefile ===
##
# Copyright 1998-1999, University of Notre Dame.
# Authors: Jeffrey M. Squyres, Kinis L. Meyer, with M. D. McNally 
#          and Andrew Lumsdaine
#
# This file is part of the Notre Dame LAM implementation of MPI.
#
# You should have received a copy of the License Agreement for the
# Notre Dame LAM implementation of MPI along with the software; see
# the file LICENSE.  If not, contact Office of Research, University of
# Notre Dame, Notre Dame, IN 46556.
#
# Permission to modify the code and to distribute modified code is
# granted, provided the text of this NOTICE is retained, a notice that
# the code was modified is included with the above COPYRIGHT NOTICE and
# with the COPYRIGHT NOTICE in the LICENSE file, and that the LICENSE
# file is distributed with the modified code.
#
# LICENSOR MAKES NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED.
# By way of example, but not limitation, Licensor MAKES NO
# REPRESENTATIONS OR WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY
# PARTICULAR PURPOSE OR THAT THE USE OF THE LICENSED SOFTWARE COMPONENTS
# OR DOCUMENTATION WILL NOT INFRINGE ANY PATENTS, COPYRIGHTS, TRADEMARKS
# OR OTHER RIGHTS.
#
# Additional copyrights may follow.
#
##	Ohio Trollius
##	Copyright 1997 The Ohio State University
##
##	$Id: Makefile,v 6.7 1999/07/26 00:34:26 kmeyer1 Exp $
##
##	Function:	- OTB libraries
##

DEPTH	= ../..

##
## global configuration
##
include $(DEPTH)/config.mk

##
## local configuration
##
SUBDIR	= args $(IMPI_DIR) mpi t trillium tstdio

all:
	@for i in $(SUBDIR); \
		do (cd $$i; echo "	"$$i: ; $(MAKE) all) || exit 1; \
	done

depend:
	@for i in $(SUBDIR); do \
		(cd $$i; echo "	"$$i: ; $(MAKE) depend) || exit 1; \
	done

clean:
	@for i in $(SUBDIR) pmpi; do \
		(cd $$i; echo "	"$$i: ; $(MAKE) clean) || exit 1; \
	done

install: dirs
	@for i in $(SUBDIR); \
		do (cd $$i; echo "	"$$i: ; $(MAKE) install) || exit 1; \
	done

dirs: $(OLDIR)

$(OLDIR):
	mkdir -p $(OLDIR)
