=== man/man1/Makefile ===
##
##	Ohio Trollius
##	Copyright 1997 The Ohio State University
##
##	Function:	- man1 pages
##

DEPTH   = ../..

##
## global configuration
##
include $(DEPTH)/config.mk

MDIR	= $(LAMHOME)/man/man1

PAGES 	= $(MDIR)/bfctl.1 $(MDIR)/hboot.1 $(MDIR)/lamboot.1 $(MDIR)/loadgo.1 \
	  $(MDIR)/state.1 $(MDIR)/bfstate.1 $(MDIR)/hcc.1 $(MDIR)/lamclean.1 \
	  $(MDIR)/mpimsg.1 $(MDIR)/sweep.1 $(MDIR)/doom.1 $(MDIR)/hcp.1 \
	  $(MDIR)/lamgrow.1 $(MDIR)/mpirun.1 $(MDIR)/tkill.1 $(MDIR)/fctl.1 \
	  $(MDIR)/hf77.1 $(MDIR)/lamshrink.1 $(MDIR)/mpitask.1 \
	  $(MDIR)/tping.1 $(MDIR)/fstate.1 $(MDIR)/introu.1 \
	  $(MDIR)/lamtrace.1 $(MDIR)/recon.1 $(MDIR)/wipe.1 \
	  $(MDIR)/mpicc.1 $(MDIR)/mpiCC.1 $(MDIR)/mpif77.1 $(MDIR)/lamexec.1

all:

clean:

depend:

install: $(MDIR) $(PAGES)

$(MDIR):
	$(INSTALL) -m $(DIR_PERMS) -d $(MDIR)

#
# dependencies
#
$(MDIR)/bfctl.1: bfctl.1
	$(INSTALL) -c -m $(FILE_PERMS) bfctl.1 $(MDIR)
$(MDIR)/bfstate.1: bfstate.1
	$(INSTALL) -c -m $(FILE_PERMS) bfstate.1 $(MDIR)
$(MDIR)/doom.1: doom.1
	$(INSTALL) -c -m $(FILE_PERMS) doom.1 $(MDIR)
$(MDIR)/fctl.1: fctl.1
	$(INSTALL) -c -m $(FILE_PERMS) fctl.1 $(MDIR)
$(MDIR)/fstate.1: fstate.1
	$(INSTALL) -c -m $(FILE_PERMS) fstate.1 $(MDIR)
$(MDIR)/hboot.1: hboot.1
	$(INSTALL) -c -m $(FILE_PERMS) hboot.1 $(MDIR)
$(MDIR)/hcc.1: hcc.1
	$(INSTALL) -c -m $(FILE_PERMS) hcc.1 $(MDIR)
$(MDIR)/hcp.1: hcp.1
	$(INSTALL) -c -m $(FILE_PERMS) hcp.1 $(MDIR)
$(MDIR)/hf77.1: hf77.1
	$(INSTALL) -c -m $(FILE_PERMS) hf77.1 $(MDIR)
$(MDIR)/mpicc.1: mpicc.1
	$(INSTALL) -c -m $(FILE_PERMS) mpicc.1 $(MDIR)
$(MDIR)/mpiCC.1: mpiCC.1
	$(INSTALL) -c -m $(FILE_PERMS) mpiCC.1 $(MDIR)
$(MDIR)/mpif77.1: mpif77.1
	$(INSTALL) -c -m $(FILE_PERMS) mpif77.1 $(MDIR)
$(MDIR)/introu.1: introu.1
	$(INSTALL) -c -m $(FILE_PERMS) introu.1 $(MDIR)
$(MDIR)/lamboot.1: lamboot.1
	$(INSTALL) -c -m $(FILE_PERMS) lamboot.1 $(MDIR)
$(MDIR)/lamclean.1: lamclean.1
	$(INSTALL) -c -m $(FILE_PERMS) lamclean.1 $(MDIR)
$(MDIR)/lamgrow.1: lamgrow.1
	$(INSTALL) -c -m $(FILE_PERMS) lamgrow.1 $(MDIR)
$(MDIR)/lamshrink.1: lamshrink.1
	$(INSTALL) -c -m $(FILE_PERMS) lamshrink.1 $(MDIR)
$(MDIR)/lamtrace.1: lamtrace.1
	$(INSTALL) -c -m $(FILE_PERMS) lamtrace.1 $(MDIR)
$(MDIR)/lamexec.1: lamexec.1
	$(INSTALL) -c -m $(FILE_PERMS) lamexec.1 $(MDIR)
$(MDIR)/loadgo.1: loadgo.1
	$(INSTALL) -c -m $(FILE_PERMS) loadgo.1 $(MDIR)
$(MDIR)/mpimsg.1: mpimsg.1
	$(INSTALL) -c -m $(FILE_PERMS) mpimsg.1 $(MDIR)
$(MDIR)/mpirun.1: mpirun.1
	$(INSTALL) -c -m $(FILE_PERMS) mpirun.1 $(MDIR)
$(MDIR)/mpitask.1: mpitask.1
	$(INSTALL) -c -m $(FILE_PERMS) mpitask.1 $(MDIR)
$(MDIR)/recon.1: recon.1
	$(INSTALL) -c -m $(FILE_PERMS) recon.1 $(MDIR)
$(MDIR)/state.1: state.1
	$(INSTALL) -c -m $(FILE_PERMS) state.1 $(MDIR)
$(MDIR)/sweep.1: sweep.1
	$(INSTALL) -c -m $(FILE_PERMS) sweep.1 $(MDIR)
$(MDIR)/tkill.1: tkill.1
	$(INSTALL) -c -m $(FILE_PERMS) tkill.1 $(MDIR)
$(MDIR)/tping.1: tping.1
	$(INSTALL) -c -m $(FILE_PERMS) tping.1 $(MDIR)
$(MDIR)/wipe.1: wipe.1
	$(INSTALL) -c -m $(FILE_PERMS) wipe.1 $(MDIR)
