## lam 7.1.4

=== debian/changelog ===
lam (7.1.4-6.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 18:37:46 +0100

lam (7.1.4-6) unstable; urgency=medium

  * Minimal RC fix for testing migration

 -- Camm Maguire <camm@debian.org>  Fri, 29 Mar 2019 17:36:04 +0000

lam (7.1.4-5) unstable; urgency=medium

  * fix /usr/lib/lam/lib/* links in lam4-dev

 -- Camm Maguire <camm@debian.org>  Mon, 25 Mar 2019 02:24:32 +0000

lam (7.1.4-4) unstable; urgency=high

  * Accept non-maintaner upload.  Thanks Eric Dorland <eric@debian.org>
  * priority optional, thanks Andreas Beckmann <anbe@debian.org>
  * debhelper compat level 9
  * remove obsolete conflicts/replace, thanks Andreas Beckmann <anbe@debian.org>
  * remove mpi virtual package, thanks Andreas Beckmann <anbe@debian.org>
  * add breaks against old style alternatives, thanks Andreas Beckmann
  <anbe@debian.org>
  * multiarch for liblam4, thanks Andreas Beckmann <anbe@debian.org>
  * multiarch support in lam4-dev.{prerm,postinst}.in and rules, thanks Andreas
  Beckmann <anbe@debian.org>, (Closes: #924452, #922633)
  * remove old mpi alternative when appropriate in lam4-dev.preinst, thanks
  Andreas Beckmann <anbe@debian.org>
  * remove obsolete ldconfig call in liblam4.postinst, thanks Andreas Beckmann
  <anbe@debian.org>
  * thanks to Aron Xu.  (Closes: #721437)
  * standard debian build flags
  * lintian cleanups
  * latest standards

 -- Camm Maguire <camm@debian.org>  Thu, 21 Mar 2019 21:53:46 +0000

am (7.1.4-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop unnecessary autoconf and automake1.9 build deps. (Closes:
    #724397)

 -- Eric Dorland <eric@debian.org>  Fri, 14 Mar 2014 22:47:28 -0400

lam (7.1.4-3) unstable; urgency=low

  * Bug fix: "file conflict with lam4-dev", thanks to Peter Palfrader
    (Closes: #668217).  Conflict/replace on older lam

 -- Camm Maguire <camm@debian.org>  Mon, 09 Apr 2012 21:44:09 +0000

lam (7.1.4-2) unstable; urgency=low

  * remove libcr-dev dependency

 -- Camm Maguire <camm@debian.org>  Fri, 06 Apr 2012 20:35:41 +0000

lam (7.1.4-1) unstable; urgency=low

  * New upstream release
  * Bug fix: "typo in /etc/lam/lam-helpfile (hreq:timeout should be
    rhreq:timeout)", thanks to Sergio Gelato (Closes: #495182).  
    Applied hreq->rhreq in lam-helpfile 
  * Bug fix: "Suggest a specific ssh-client and ssh-server in Depends",
    thanks to Adam C Powell IV (Closes: #574002).  Dependencies modified
    to suggest openssh client/server.
  * build-dep on libcr-dev
  * build-dep on libltdl-dev
  * Bug fix: "bhost manpage missing", thanks to jan zacharias (Closes:
    #448495).  Move .5 and .7 lam4-dev manpages into lam-runtime.
  * Bug fix: "Make alternatives symlink for MPI_Comm_set_name manpage to
    avoid mpi-doc conflict", thanks to Adam C Powell IV (Closes: #445291).
  * use system -lltdl in place of convenience copy

 -- Camm Maguire <camm@debian.org>  Fri, 06 Apr 2012 17:38:40 +0000

lam (7.1.2-2) unstable; urgency=low

  * Bug fix: "Maintainer address seems to bounce", thanks to Alexander
    Reichle-Schmehl (Closes: #590809).

 -- Camm Maguire <camm@debian.org>  Wed, 15 Sep 2010 02:45:36 +0000

lam (7.1.2-1.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix CVE-2009-3726 in the internal ltdl copy (Closes: #559835)

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 27 Jul 2010 22:29:03 -0400

lam (7.1.2-1.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix bashism in debian/rules (Closes: #484396)
  * Bump Standards-Version to 3.8.0.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Fri, 11 Jul 2008 21:57:10 +0100

lam (7.1.2-1.4) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Remove debconf templates dealing with obsolete transitions.
    Closes: #388914
    This also closes pending debconf localization bug reports
    Closes: #414761, #415532, #471696, #472687

 -- Christian Perrier <bubulle@debian.org>  Mon, 17 Mar 2008 20:19:54 +0100

lam (7.1.2-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix the second argument to main() in the test programs used by configure.
    Fixes FTBFS with gcc-4.3.  (Closes: #468065)

 -- James Vega <jamessan@debian.org>  Sun, 09 Mar 2008 00:13:40 -0500

lam (7.1.2-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Upload to unstable

 -- Riku Voipio <riku.voipio@iki.fi>  Sat, 09 Feb 2008 23:04:48 +0200

lam (7.1.2-1.1) experimental; urgency=low

  * Non-maintainer upload.
  * transition to gfortran, closes: #456418
  * rename package for long double transition, closes: #430241
  * remove pre-depends on stone-age dpkg version
  * remove versioned depends on essential package findutils and debianutils
  * Depend on ssh-client instead of ssh, closes: #418988
  * Edit changelog to get rid of lintian warning on long changelog

 -- Riku Voipio <riku.voipio@iki.fi>  Tue, 29 Jan 2008 22:24:19 +0200

lam (7.1.2-1) unstable; urgency=low

  * New upstream release, Closes: #362168
  * Accept NMU, Closes: #359118. Closes: #355245. 
    Closes: #335721. Closes: #337843. Closes: #331881.
  * Update README.Debian, Closes: #360226
  * Add mpiexec to alternatives, Closes: #384065.

 -- Camm Maguire <camm@enhanced.com>  Tue, 26 Sep 2006 10:55:25 -0400

lam (7.1.1a-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Remove spurious confmodule invocation (Closes: #355245).
  * Add debconf-2.0 alternative (Closes: #331881).
  * Add Swedish debconf translation (Closes: #337843).
  * Add support for GNU/kFreeBSD (Closes: #335721).

 -- Luk Claes <luk@debian.org>  Sun, 26 Mar 2006 17:05:44 +0200

lam (7.1.1a-1) unstable; urgency=low

  * /u+x -> -u+x per findutils guru recommendation
  * Bug fix: "lam: source package has (unused) APSL licensed code", thanks
    to James Troup (Closes: #338249).  Files removed.


