=== debian/control ===
Source: lam
Section: devel
Priority: extra
Maintainer: Camm Maguire <camm@debian.org>
Build-Depends: debhelper (>= 4.1.16),gfortran,texinfo,autotools-dev,help2man,libltdl-dev
Standards-Version: 3.9.3

Package: lam-mpidoc
Section: doc
Architecture: all
Conflicts: mpi-doc
Replaces: mpi-doc
Depends: ${misc:Depends}
Description: Documentation for the Message Passing Interface standard
 This package contains man pages describing the Message Passing 
 Interface standard.  
 .
 These pages are newly provided by the LAM package, and are also found
 in the mpi-doc package build from the mpich source package.

Package: lam4-dev
Section: devel
Architecture: any
Depends: liblam4 (= ${binary:Version}), libc6-dev,${misc:Depends}
Provides: lam-dev
Conflicts: lam-dev,lam,lam1-dev,mpi-doc (<< 1.2.7-4),lam-runtime (<= 7.1.2-2)
Replaces: lam-dev,lam,lam1-dev,lam2-dev,lam3-dev,lam-runtime (<= 7.1.2-2)
Description: Development of parallel programs using LAM
 LAM (Local Area Multicomputer) is an open source implementation of the
 Message Passing Interface (MPI) standard.
 .
 This package provides the development headers and related files.

Package: liblam4
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},${misc:Depends}
Provides: mpi
Conflicts: lam,lam1,lam4,lam4c2
Replaces: lam,lam1,lam4,lam4c2
Recommends: lam-runtime
Breaks: libopenmpi-dev (<< 3.0.1~rc1-2), openmpi-bin (<< 3.0.1~rc1-2), mpich (<< 3.3~a3-2), libmpich-dev (<< 3.3~a3-2)
Description: Shared libraries used by LAM parallel programs
 LAM (Local Area Multicomputer) is an open source implementation of the
 Message Passing Interface (MPI) standard.
 .
 This package provides the shared library.

Package: lam-runtime
Section: utils
Architecture: any
Conflicts: lam1-runtime,lam,lam4-dev (<= 7.1.2-2)
Replaces: lam1-runtime,lam,lam4-dev (<= 7.1.2-2)
Depends: ${shlibs:Depends},openssh-client | ssh-client | rsh-client,openssh-server | ssh-server | rsh-server,${misc:Depends}
Description: LAM runtime environment for executing parallel programs
 LAM (Local Area Multicomputer) is an open source implementation of the
 Message Passing Interface (MPI) standard.
 .
 Some enhancements in LAM 6.3 are: 
  o Added the MPI-2 C++ bindings package (chapter 10 from the MPI-2 
      standard) from the Laboratory for Scientific Computing at the 
      University of Notre Dame. 
  o Added ROMIO MPI I/O package (chapter 9 from the MPI-2 standard) 
      from the Argonne National Laboratory. 
  o Pseudo-tty support for remote IO (e.g., line buffered output). 
  o Ability to pass environment variables through mpirun. 
  o Ability to mpirun shell scripts/debuggers/etc. (that eventually 
      run LAM/MPI programs). 
  o Ability to execute non-MPI programs across the multicomputer. 
  o Added configurable ability to zero-fill internal LAM buffers 
      before they are used (for development tools such as Purify). 
  o Greatly expanded error messages; provided for customizable  
      local help files. 
  o Expanded and updated documentation. 
  o Various bug fixes and minor enhancements.
