=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independant
# package.

SO=4
MIN=0
VER=$(SO).$(MIN)

CC=cc
package=lam

version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
version_major=$(shell expr `pwd` : '.*-\([0-9]*\).[0-9.]*')

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1
#export DH_COMPAT=2

TDIR:=$(shell pwd)

MEXT=tmp
MDIR:=debian/$(MEXT)
LAMV:=usr/lib/lam
LAMD:=$(MDIR)/$(LAMV)
OLDIR=$(LAMD)/lib
OBDIR=$(LAMD)/bin
SHLDIR=$(subst $(MEXT),shared,$(OLDIR))
SHBDIR=$(subst $(MEXT),shared,$(OBDIR))
SHIDIR:=$(SHBDIR)/../include
STLDIR=$(subst $(MEXT),static,$(OLDIR))
STBDIR=$(subst $(MEXT),static,$(OBDIR))
LDIR:=$(MDIR)/usr/lib
BDIR:=$(MDIR)/usr/bin
WDIR:=tools/wrappers
MPROX:=$(MDIR)/usr/share/man/man3/MPI_Wtime.3
MSRC:=debian/static/$(LAMV)/man/man3/MPI_Wtime.3
mans:=lamhalt lamnodes
MMDIR:=debian/$(MEXT)/usr/share/man/man1
MMAN:=$(addprefix $(MMDIR)/,$(addsuffix .1,$(mans)))
SUB:=$(shell find * -name config.sub |grep -v debian)
GUESS:=$(shell find * -name config.guess |grep -v debian)
#CONFIGURE:=$(shell find * -name configure)
DSUB:=$(addprefix debian/conf/,$(SUB))
DGUESS:=$(addprefix debian/conf/,$(GUESS))

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
export DEB_HOST_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
export DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ARCHT:=$(shell echo $(DEB_HOST_GNU_TYPE) | cut -f1 -d-)
OPTFLAGS:=
ifeq ($(ARCHT),m68k)
OPTFLAGS:=-O2
endif

dlibs:= lam lamf77mpi lammpi++ mpi lammpio 
stlibs:=$(addprefix $(STLDIR)/lib,$(addsuffix .a,$(dlibs)))
shlibs:=$(addprefix $(SHLDIR)/lib,$(addsuffix .a,$(dlibs)))

tlibs:=lam  lamio lam++
libs: $(addprefix $(LDIR)/lib,$(addsuffix .so,$(tlibs)) $(addsuffix .a,$(tlibs))) 

dbins:=lamclean lamexec lamgrow lamshrink lamtrace mpimsg mpirun mpiexec mpitask lamd tping \
	hboot lamboot laminfo lamhalt lamnodes recon tkill lamwipe   mpicc mpif77 mpic++
nbins:=lamclean lamexec lamgrow lamshrink lamtrace mpimsg mpirun.lam mpiexec.lam mpitask lamd tping \
	hboot lamboot laminfo lamhalt lamnodes recon tkill lamwipe  mpicc.lam\
	 mpif77.lam mpic++.lam

tbins:=$(addprefix $(BDIR)/,$(nbins))
shbins:=$(addprefix $(SHBDIR)/,$(dbins)))
bins: $(tbins)

$(DSUB):
	mkdir -p $(@D)
	cp $(subst debian/conf/,,$@) $@

$(SUB): $(DSUB)
	chmod +w $@
	cp /usr/share/misc/config.sub $@

$(DGUESS):
	mkdir -p $(@D)
	cp $(subst debian/conf/,,$@) $@

$(GUESS): $(DGUESS)
	chmod +w $@
	cp /usr/share/misc/config.guess $@

#$(CONFIGURE): FORCE
#	! [ -r $(@D)/configure.in ] || touch $(@D)/configure.in
#	sleep 2
#	! [ -r $(@D)/aclocal.m4 ] || touch $(@D)/aclocal.m4
#	sleep 2
#	touch $@

FORCE:

$(stlibs): $(SUB) $(GUESS) #$(CONFIGURE)

	[ ! -f Makefile ] || $(MAKE) distclean
#	-$(MAKE) clean

	CC="gcc" CXX="g++" F77="gfortran" FC="gfortran" \
	CFLAGS="$(OPTFLAGS)" CXXFLAGS="$(OPTFLAGS)" FFLAGS="$(OPTFLAGS)" \
	./configure --prefix=/$(LAMV) \
		     --build=$(DEB_BUILD_GNU_TYPE) \
		     --host=$(DEB_HOST_GNU_TYPE) \
		     --with-rsh=/usr/bin/rsh \
		     --with-rpi=sysv 

	awk '/LAM_HAVE_OPENPTY/ {gsub("1","0")} /LAM_HAVE_SYSV_PTYS/ {gsub("1","0")}  {print}' \
		share/include/lam_config.h >tmp && mv tmp share/include/lam_config.h

	$(MAKE) 

	$(MAKE) install DESTDIR=$(subst $(LAMV)/lib,,$(TDIR)/$(@D))


$(MSRC) $(SHIDIR)/mpi.h $(shbins) $(shlibs): $(SUB) $(GUESS) #$(CONFIGURE)

	[ ! -f Makefile ] || $(MAKE) distclean
#	-$(MAKE) clean

	CC="gcc" CXX="g++" F77="gfortran" FC="gfortran" \
	CFLAGS="$(OPTFLAGS) -fPIC" CXXFLAGS="$(OPTFLAGS) -fPIC" FFLAGS="$(OPTFLAGS) -fPIC" \
	./configure --prefix=/$(LAMV) \
		     --build=$(DEB_BUILD_GNU_TYPE) \
		     --host=$(DEB_HOST_GNU_TYPE) \
		     --with-rsh=/usr/bin/rsh \
		     --with-trillium \
		     --with-rpi=sysv 

	awk '/LAM_HAVE_OPENPTY/ {gsub("1","0")} /LAM_HAVE_SYSV_PTYS/ {gsub("1","0")}  {print}' \
		share/include/lam_config.h >tmp && mv tmp share/include/lam_config.h

	$(MAKE) 

	$(MAKE) install DESTDIR=$(subst $(LAMV)/bin,,$(subst $(LAMV)/lib,,$(TDIR)/$(@D)))


ERM:=pmpil_trace_f.o pdupfn_f.o mpietc.o



$(LDIR)/liblam.so.$(VER): $(addprefix $(SHLDIR)/,liblamf77mpi.a libmpi.a liblam.a)
	mkdir tmp 
	chmod +x debian/mar
	cd tmp && mkdir $(^F) && echo $(addprefix ../../,$^) | xargs -t -n 1 ../debian/mar
	rm -f $(addprefix tmp/libmpi.a/,$(ERM)) $(addprefix tmp/liblam.a/,ltdl.o)
	mkdir -p $(@D)
	$(CC) -shared -Wl,-soname=$(@F:.$(VER)=.$(SO)) -o $@ tmp/*/*.o -lpthread -lltdl # -ldl -lutil -lcr
	rm -rf tmp

$(LDIR)/libplam.so.$(VER): $(addprefix $(SHLDIR)/,liblamf77mpi.a liblam.a  )
	mkdir tmp
	cd tmp && echo $(addprefix ../,$^) | xargs -t -n 1 ar x && rm -f $(ERM)
	mkdir -p $(@D)
	$(CC) -shared -Wl,-soname=$(@F:.$(VER)=.$(SO)) -o $@ tmp/*.o # -lutil
	rm -rf tmp

$(LDIR)/liblamio.so.$(VER): $(SHLDIR)/liblammpio.a $(LDIR)/liblam.so
	mkdir tmp
	cd tmp && echo $(addprefix ../,$<) | xargs -t -n 1 ar x && rm -f $(ERM)
	mkdir -p $(@D)
ifeq ($(DEB_HOST_GNU_SYSTEM),kfreebsd-gnu)
# aio is enable by default on GNU/kFreeBSD, because of UFS support
	$(CC) -shared -Wl,-soname=$(@F:.$(VER)=.$(SO)) -o $@ tmp/*.o -L$(LDIR) -llam -lrt # -lutil
else
	$(CC) -shared -Wl,-soname=$(@F:.$(VER)=.$(SO)) -o $@ tmp/*.o -L$(LDIR) -llam # -lutil
endif
	rm -rf tmp

$(LDIR)/liblam++.so.$(VER): $(SHLDIR)/liblammpi++.a $(LDIR)/liblam.so
	mkdir tmp
	cd tmp && echo $(addprefix ../,$<) | xargs -t -n 1 ar x && rm -f $(ERM)
	mkdir -p $(@D)
	g++ -shared -Wl,-soname=$(@F:.$(VER)=.$(SO)) -o $@ tmp/*.o -L$(LDIR) -llam # -lutil
	rm -rf tmp

lib%.so.$(SO): lib%.so.$(VER)
	ln -snf $(<F) $@

lib%.so: lib%.so.$(SO)
	ln -snf $(<F) $@




$(LDIR)/liblam.a: $(addprefix $(STLDIR)/,liblamf77mpi.a libmpi.a liblam.a )
	mkdir tmp
	cd tmp && echo $(addprefix ../,$^) | xargs -t -n 1 ar x 
	rm -f $@
	mkdir -p $(@D)
	ar r $@ tmp/*.o
	rm -rf tmp

$(LDIR)/libplam.a: $(addprefix $(STLDIR)/,liblamf77mpi.a liblam.a  )
	mkdir tmp
	cd tmp && echo $(addprefix ../,$^) | xargs -t -n 1 ar x 
	rm -f $@
	mkdir -p $(@D)
	ar r $@ tmp/*.o
	rm -rf tmp

$(LDIR)/liblamio.a: $(STLDIR)/liblammpio.a
	mkdir tmp
	cd tmp && echo $(addprefix ../,$^) | xargs -t -n 1 ar x 
	rm -f $@
	mkdir -p $(@D)
	ar r $@ tmp/*.o
	rm -rf tmp

$(LDIR)/liblam++.a: $(STLDIR)/liblammpi++.a
	mkdir tmp
	cd tmp && echo $(addprefix ../,$^) | xargs -t -n 1 ar x 
	rm -f $@
	mkdir -p $(@D)
	ar r $@ tmp/*.o
	rm -rf tmp

define relink
	mkdir -p $(@D)
	cd $$(dirname $$(find -name $(<F) -perm -u+x -type f |grep -v debian)) && \
		mv -f $(<F) $(<F).old && \
		( $(MAKE) -n $(<F) | awk '/mkdir/ {next} /libtool/ { \
				gsub("-lutil",""); \
				gsub("[^ ]*libltdlc\\.la",""); \
				gsub("[^ ]*liblam\\.la","-L'$(TDIR)/$(LDIR)' -llam"); \
				gsub("[^ ]*libmpi\\.la","-L'$(TDIR)/$(LDIR)' -llam"); \
				gsub(" $(subst +,\\+,$(<F)) "," '$(TDIR)/$(@)' "); \
				print}' | bash -x -e || (mv $(<F).old $(<F) && false)) && \
		mv $(<F).old $(<F)
endef

$(BDIR)/%: $(SHBDIR)/% $(LDIR)/liblam.so
	$(relink)
$(addprefix $(BDIR)/, lamsweep): $(BDIR)/lam%: $(SHBDIR)/% $(LDIR)/liblam.so
	$(relink)
$(BDIR)/%.lam: $(SHBDIR)/% $(LDIR)/liblam.so
	$(relink)
$(BDIR)/mpiexec.lam: $(SHBDIR)/mpiexec
	cp $< $@

#$(addprefix $(BDIR)/,lamwipe lamsweep): $(BDIR)/lam% : $(SHBDIR)/% $(LDIR)/liblam.so
#	mkdir -p $(@D)
#	cd $$(find -name $(<F) -type d |grep -v share) && \
#		rm -f $(<F) && \
#		$(MAKE) -n $(<F) | awk '/libtool/ { \
#				gsub("[^ ]*liblam\.la","-L'$(TDIR)/$(LDIR)' -llam"); \
#				gsub(" '$(<F)' "," '$(TDIR)/$(@)' "); \
#				print}' | bash -x -e

#$(BDIR)/mpirun.lam: $(SHBDIR)/mpirun $(LDIR)/liblam.so
#	mkdir -p $(@D)
#	cd $$(find -name $(<F) -type d |grep -v share) && \
#		rm -f $(<F) && \
#		$(MAKE) -n $(<F) | awk '/libtool/ { \
#				gsub("[^ ]*liblam\.la","-L'$(TDIR)/$(LDIR)' -llam"); \
#				gsub(" '$(<F)' "," '$(TDIR)/$(@)' "); \
